Subject: bug#62575: 29.0.60; Tabs are not showing the right names of the buffers

From: Juri Linkov <[email-masked]>
Date: Tue, 04 Apr 2023 09:56:03 +0300

>> Probably this is because you enabled buffer-local 'tab-line-mode'
>> instead of 'global-tab-line-mode'.
>
> OK, I have put
>
> (setq global-tab-line-mode t)
>
> into my initialization file. But this didn't help either.

Actually, in your initialization file it should be used
as a command: (global-tab-line-mode 1) or you can customize it
as a variable: (custom-set-variables '(global-tab-line-mode t))

> What I am wondering about is, how does it come that I am bumping in all
> these problems?

To avoid all these problems, I recommend you to read the manual
that explains the details.  Here are some relevant nodes:

https://www.gnu.org/software/emacs/manual/html_node/emacs/Tab-Line.html
https://www.gnu.org/software/emacs/manual/html_node/emacs/Tab-Bars.html